﻿using System;
using CodeHollow.FeedReader;

namespace SharpRss.Models
{
    public class FeedModel
    {
        private FeedModel()
        {
            
        }
        public FeedModel(string rssFeedUrl, CategoryModel? category = null)
        {
            if (category != null)
                CategoryId = category.CategoryId;
            FeedId = Guid.NewGuid().ToString();
            FeedUrl = rssFeedUrl;
        }
        
        public string FeedUrl { get; set; }
        public string FeedId { get; private set; }
        public string CategoryId { get; set; } = "";

        public static FeedModel Create(string url, string feedId, string categoryId)
        {
            FeedModel feedModel = new FeedModel()
            {
                FeedUrl = url,
                FeedId = feedId,
                CategoryId = categoryId
            };
            return feedModel;
        }
    }
}
